İşlemleri Toplu Tara
Toplu işlem risk taraması eşzamansız bir görev olarak gerçekleştirilir. Her işlem için benzersiz bir Task ID oluşturulur ve kullanıcılar ayrıntılı sonuçları görev API'si aracılığıyla alabilir.
Submit a batch transaction screening task and return task IDs.
Response. A non-zero code indicates a business error even when the HTTP status is 200.
The status code of this request. For all possible codes and corresponding errors/messages, see https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages.
0The message of this request. For all possible codes and corresponding errors/messages, see https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages.
SuccessAuthentication failed. The API-Key header is missing or invalid.
Rate limit exceeded. Reduce the request rate and retry.
curl -X POST 'https://api.blocksec.com/phalcon/compliance/v2/transactions/screen' \
-H 'API-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"transactions":[{"chainId":1,"hash":"0xd4da5a15914ab32e788ce77775ab8e28e9720921658497ebd0db69d3e352d734","direction":"deposit","toAddress":"0xd37bbe5744d730a1d98d8dc97c42f0ca46ad7146"}]}'{
"code": 0,
"msg": "Success",
"data": {
"taskIds": [
"79c9e327-6c03-49e8-bfe7-45faf50574d0"
]
}
}Son güncelleme